Bug 176914 - [PATCH] devel/pear-Net_Gearman: [SUMMARIZE CHANGES]
Summary: [PATCH] devel/pear-Net_Gearman: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-13 11:40 UTC by Gasol Wu
Modified: 2013-05-10 15:40 UTC (History)
1 user (show)

See Also:


Attachments
pear-Net_Gearman-0.2.3_1.patch (2.02 KB, patch)
2013-03-13 11:40 UTC, Gasol Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-03-13 11:40:00 UTC
- New header
- Fix PHP Strict Standards message as following

 Resource ID#70 used as offset, casting to integer (70) in
 /usr/local/share/pear/Net/Gearman/Client.php on line 247

See https://github.com/lenn0x/net_gearman/issues/3

Port maintainer (gslin@gslin.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-13 11:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-03-13 11:40:09 UTC
Maintainer of devel/pear-Net_Gearman,

Please note that PR ports/176914 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176914

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-03-13 11:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 gslin 2013-04-02 03:34:26 UTC
Please commit it, thanks.

On Wed, Mar 13, 2013 at 11:40:09AM +0000, Edwin Groothuis wrote:
> Maintainer of devel/pear-Net_Gearman,
> 
> Please note that PR ports/176914 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176914
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 5 Martin Wilke freebsd_committer 2013-05-10 15:36:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-05-10 15:37:00 UTC
Author: miwi
Date: Fri May 10 14:36:46 2013
New Revision: 317810
URL: http://svnweb.freebsd.org/changeset/ports/317810

Log:
  - Fix build
  
  PR:		176914
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>
  Approved by:	Ports Fury

Added:
  head/devel/pear-Net_Gearman/files/
  head/devel/pear-Net_Gearman/files/patch-Net__Gearman__Client.php   (contents, props changed)
Modified:
  head/devel/pear-Net_Gearman/Makefile

Modified: head/devel/pear-Net_Gearman/Makefile
==============================================================================
--- head/devel/pear-Net_Gearman/Makefile	Fri May 10 14:34:42 2013	(r317809)
+++ head/devel/pear-Net_Gearman/Makefile	Fri May 10 14:36:46 2013	(r317810)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Net_Gearman
 PORTVERSION=	0.2.3
+PORTREVISION=	1
 CATEGORIES=	devel pear
 
 MAINTAINER=	gslin@gslin.org

Added: head/devel/pear-Net_Gearman/files/patch-Net__Gearman__Client.php
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-Net_Gearman/files/patch-Net__Gearman__Client.php	Fri May 10 14:36:46 2013	(r317810)
@@ -0,0 +1,26 @@
+--- ./Net/Gearman/Client.php.orig	2013-03-13 17:50:59.000000000 +0800
++++ ./Net/Gearman/Client.php	2013-03-13 17:51:18.000000000 +0800
+@@ -166,11 +166,11 @@
+         $s = $this->getConnection();
+         Net_Gearman_Connection::send($s, $type, $params);
+ 
+-        if (!is_array(Net_Gearman_Connection::$waiting[$s])) {
+-            Net_Gearman_Connection::$waiting[$s] = array();
++        if (!is_array(Net_Gearman_Connection::$waiting[(int) $s])) {
++            Net_Gearman_Connection::$waiting[(int) $s] = array();
+         }
+ 
+-        array_push(Net_Gearman_Connection::$waiting[$s], $task);
++        array_push(Net_Gearman_Connection::$waiting[(int) $s], $task);
+     }
+ 
+     /**
+@@ -244,7 +244,7 @@
+             $task->fail();
+             break;
+         case 'job_created':
+-            $task         = array_shift(Net_Gearman_Connection::$waiting[$s]);
++            $task         = array_shift(Net_Gearman_Connection::$waiting[(int) $s]);
+             $task->handle = $resp['data']['handle'];
+             if ($task->type == Net_Gearman_Task::JOB_BACKGROUND) {
+                 $task->finished = true;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"